package ru.dbotthepony.kstarbound.defs.tile

import it.unimi.dsi.fastutil.objects.Object2DoubleMap
import it.unimi.dsi.fastutil.objects.Object2DoubleMaps
import ru.dbotthepony.kstarbound.json.builder.JsonFactory

@JsonFactory
data class TileDamageConfig(
	val damageFactors: Object2DoubleMap<String> = Object2DoubleMaps.emptyMap(),
	val damageRecovery: Double = 1.0,
	val maximumEffectTime: Double = 1.5,
	val totalHealth: Double = 1.0,
	val harvestLevel: Int = 1,
)
