
## JSON additions

### Worldgen
 * Where applicable, Perlin noise now can have custom seed specified
   * Change above allows to explicitly specify universe seed (as celestial.config:systemTypePerlin:seed)
 * Perlin noise now can be of arbitrary scale (defaults to 512, specified with 'scale' key, integer type, >=16)

#### Terrain
 * Nested terrain selectors now get their unique seeds (displacement selector can now properly be nested inside other displacement selector)
   * Previously, all nested terrain selectors were based off the same seed
 * displacement terrain selector has xClamp added, works like yClamp

#### Biomes
 * Tree biome placeables now have `variantsRange` (defaults to `[1, 1]`) and `subVariantsRange` (defaults to `[2, 2]`)
   * `variantsRange` is responsible for "stem-foliage" combinations
   * `subVariantsRange` is responsible for "stem-foliage" hue shift combinations
     * Rolled per each "stem-foliage" combination
     * Also two more properties were added: `sameStemHueShift` (defaults to `true`) and `sameFoliageHueShift` (defaults to `false`), which fixate hue shifts within same "stem-foliage" combination
   * Original engine always generates two tree types when processing placeable items, new engine however, allows to generate any number of trees.
